org.gradle.plugins.javascript.rhino

## Class RhinoShellExec

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.JavaExec
        - - org.gradle.plugins.javascript.rhino.RhinoShellExec

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, BaseExecSpec, JavaExecSpec, JavaForkOptions, ProcessForkOptions, org.gradle.util.Configurable<Task>

      public class RhinoShellExec
      extends JavaExec

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoShellExec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaExecSpec` | `args(Iterable<?> args)` Adds args for the main class to be executed.
    `JavaExec` | `args(Object... args)` Adds args for the main class to be executed.
    `void` | `exec()`
    `List<String>` | `getArgs()` Returns the arguments passed to the main class to be executed.
    `List<String>` | `getRhinoOptions()`
    `File` | `getScript()`
    `List<String>` | `getScriptArgs()`
    `void` | `rhinoOptions(Object... rhinoOptions)`
    `void` | `scriptArgs(Object... scriptArgs)`
    `JavaExec` | `setArgs(Iterable<?> applicationArgs)` Sets the args for the main class to be executed.
    `void` | `setRhinoOptions(Object... rhinoOptions)`
    `void` | `setScript(Object script)`
    `void` | `setScriptArgs(Object... scriptArgs)`

    - ### Methods inherited from class org.gradle.api.tasks.JavaExec

      `bootstrapClasspath, classpath, copyTo, copyTo, environment, environment, executable, getAllJvmArgs, getBootstrapClasspath, getClasspath, getCommandLine, getDebug, getDefaultCharacterEncoding, getEnableAssertions, getEnvironment, getErrorOutput, getExecActionFactory, getExecutable, getJvmArgs, getMain, getMaxHeapSize, getMinHeapSize, getStandardInput, getStandardOutput, getSystemProperties, getWorkingDir, isIgnoreExitValue, jvmArgs, jvmArgs, setAllJvmArgs, setBootstrapClasspath, setClasspath, setDebug, setDefaultCharacterEncoding, setEnableAssertions, setEnvironment, setErrorOutput, setExecutable, setIgnoreExitValue, setJvmArgs, setMain, setMaxHeapSize, setMinHeapSize, setStandardInput, setStandardOutput, setSystemProperties, setWorkingDir, systemProperties, systemProperty, workingDir`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoShellExec

          public RhinoShellExec()

  - ### Method Detail

    - #### getRhinoOptions

          @Input
          public List<String> getRhinoOptions()

    - #### setRhinoOptions

          public void setRhinoOptions(Object... rhinoOptions)

    - #### rhinoOptions

          public void rhinoOptions(Object... rhinoOptions)

    - #### getScriptArgs

          @Internal(value="Represented as part of args")
          public List<String> getScriptArgs()

    - #### setScriptArgs

          public void setScriptArgs(Object... scriptArgs)

    - #### scriptArgs

          public void scriptArgs(Object... scriptArgs)

    - #### getScript

          @InputFile
          @Optional
          public File getScript()

    - #### setScript

          public void setScript(Object script)

    - #### getArgs

          public List<String> getArgs()

      Description copied from class: `JavaExec`
      Returns the arguments passed to the main class to be executed.
      Specified by:
        `getArgs` in interface `JavaExecSpec`
      Overrides:
        `getArgs` in class `JavaExec`

    - #### setArgs

          public JavaExec setArgs(Iterable<?> applicationArgs)

      Description copied from class: `JavaExec`
      Sets the args for the main class to be executed.
      Specified by:
        `setArgs` in interface `JavaExecSpec`
      Overrides:
        `setArgs` in class `JavaExec`
      Parameters:
        `applicationArgs` - Args for the main class.
      Returns:
        this

    - #### args

          public JavaExec args(Object... args)

      Description copied from class: `JavaExec`
      Adds args for the main class to be executed.
      Specified by:
        `args` in interface `JavaExecSpec`
      Overrides:
        `args` in class `JavaExec`
      Parameters:
        `args` - Args for the main class.
      Returns:
        this

    - #### args

          public JavaExecSpec args(Iterable<?> args)

      Description copied from class: `JavaExec`
      Adds args for the main class to be executed.
      Specified by:
        `args` in interface `JavaExecSpec`
      Overrides:
        `args` in class `JavaExec`
      Parameters:
        `args` - Args for the main class.
      Returns:
        this

    - #### exec

          public void exec()

      Overrides:
        `exec` in class `JavaExec`